/*
 Theme Name:   Safeguarding
 Template:     twentytwentyfive
 Description:  A child theme for the Twenty Twenty-Five theme.
 Author:       Your Name
 Version:      1.0.0
*/

:root {
    interpolate-size: allow-keywords;
}

@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

@font-face {
    font-family: "Inter", sans-serif; /* Give your font a name to use later */
    src: url('fonts/Inter-Regular.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
    font-display: swap; /* Improves page load performance */
}

@font-face {
    font-family: 'Material Symbols Outlined';
    font-style: normal;
    font-weight: normal;
    src: url('fonts/Material-Symbols-Outlined.woff2') format('woff2');
    font-variation-settings:
        'FILL' 1,
        'wght' 400,
        'GRAD' 0,
        'opsz' 24;

}

* {
    font-family: "Roboto", sans-serif;
}

html {
  scroll-behavior: smooth;
}



.has-global-padding > .alignfull.swiper{
    max-width: var(--wp--style--global--wide-size);
    margin-left: auto;
    margin-right: auto;
}

.swiper-slide{
    margin-block-start: 1.2rem !important;
}

.swiper-scrollbar{
    --swiper-scrollbar-bg-color: none;
}

/* .swiper-slide:not(.swiper-slide-active){
    opacity: 0;
} */

.slider__image{
    max-width: 800px;
    padding: 1px;

}

.swiper-horizontal>.swiper-pagination-bullets, .swiper-pagination-horizontal.swiper-pagination-bullets{
    left: unset;
    right: 0;
    --swiper-pagination-bottom: 0;
}

:root{
    --swiper-pagination-color: #2e5790;
}

.call-name{
    display: flex;
    align-items: center;
    gap: 0.5rem;
}
.call-list{
    list-style-type: none;
    list-style-position: outside;
    padding-inline-start: 1rem;
}
.call-type-active > .call-name{
    font-weight: 400;
}
.call-type-active > .call-list{
    font-weight: 400;
}
@keyframes pulse-opacity {
    0%, 100% {
        opacity: 1;    /* Pełna widoczność na początku i końcu */
    }
    50% {
        opacity: 0.3;  /* Zmniejszona widoczność w połowie cyklu */
    }
}

/* Twój aktualny kod ze zaktualizowaną właściwością animation */
.call-type-active > .call-name:before {
    content: '';
    width: 0.5rem;
    height: 0.5rem;
    background-color: #0ba310;
    border-radius: 50%;
    display: inline-block;
    
    /* Dodana animacja */
    animation: pulse-opacity 1.5s infinite ease-in-out;
}

.header-phone.active > a > span:after{
    content: '';
    position: absolute;
    top: 37%;
    margin-left: 8px;
    width: 0.5rem;
    height: 0.5rem;
    background-color: #0ba310;
    border-radius: 50%;
    display: inline-block;
    
    /* Dodana animacja */
    animation: pulse-opacity 1.5s infinite ease-in-out;
}

.call-type:not(.call-type-active){
    opacity: 0.6;
}

.call-type:not(.call-type-active) > .call-name:before{
    content: '';
    width: 0.5rem;
    height: 0.5rem;
    background-color: #d92f31;
    border-radius: 50%;
    display: inline-block;
}

.header-phone:not(.active) > a > span{
    opacity: 0.6;
}


@media(max-width: 987px){
    .contact-wrapper{
        display: flex !important;
        flex-direction: column !important;
    }
    .site-text-wrapper{
        display: flex !important;
        flex-direction: column !important;
    }
    /* .summary-grid{
        display: flex !important;
        flex-direction: column !important;
    } */
    .summary-wrapper > summary{
        padding-block: 0;
    }


}

.contact-block{
    box-shadow: 3px 3px 15px rgb(0 0 0 / 10%);
    width: 100%;
}

.text-cover{
    box-shadow: 3px 3px 15px rgb(0 0 0 / 10%);
}


.wp-block-buttons:has(#maps-button){
    width: 100%;
}

#maps-button{
    width: 100%;
    background-image: url('/wp-content/uploads/2026/03/google-maps-button-bg.webp');
    background-size: contain;
}

#maps-button > a{
    min-height: 145px;
}

.homepage-text-element{
    box-shadow: 3px 3px 15px rgb(0 0 0 / 10%);
}

.summary-wrapper{
    display: flex;
    flex-direction: column;
    background: #2e5790;
    color: white;
    width: fit-content;
    padding: 32px;
    box-shadow: 3px 3px 15px rgb(0 0 0 / 10%);
    max-width: 100%;
}

.summary-wrapper::details-content {
    height: 0;
    width: 0;
    opacity: 0;
    overflow: hidden;
    transition: 
        height 0.3s ease-in-out, 
        width 0.3s ease-in-out 0.3s, 
        opacity 0.3s ease-in-out;
    transition-behavior: allow-discrete;
}

.summary-wrapper[open]::details-content {
    height: fit-content;
    width: fit-content;
    opacity: 1;
    transition: 
        width 0.3s ease-in-out, 
        height 0.3s ease-in-out 0.3s, 
        opacity 0.3s ease-in-out 0.3s;
}

@media(max-width: 435px){
.summary-wrapper::details-content {
    height: 0;
    width: 0;
    opacity: 0;
    overflow: hidden;
    transition: 
        height 0.3s ease-in-out,
        opacity 0.3s ease-in-out;
    transition-behavior: allow-discrete;
}

.summary-wrapper[open]::details-content {
    height: fit-content;
    width: fit-content;
    opacity: 1;
    transition: 
        height 0.3s ease-in-out, 
        opacity 0.3s ease-in-out 0.3s;
}
}

@starting-style {
    details[open]::details-content {
        height: 0;
        width: 0;
        opacity: 0;
    }
}

.summary-wrapper.contact{
    width: 100%;
    text-align: start;
}

.summary-wrapper > summary{
    padding-inline: 1rem;
    list-style: none;
}

.summary-wrapper > summary::-webkit-details-marker{
    display: none;
}

.summary-wrapper > summary::before{
    content: '+  ';
    font-weight: 700;
    color: #ffffff;
}

.summary-wrapper[open]{
    gap: 16px;
    background: #fff;
    color: #2e5790;
    border: 2px solid #2e5790;
}

.summary-wrapper[open] > summary{
    font-weight: 500;
}

.summary-wrapper[open] > summary::before{
    content: '‒  ';
    font-weight: 700;
    color: #2e5790;
}

.wp-social-link-facebook{
    background-color: #2e5790 !important;
}